Bug 1274131 - The ansible hang when getting openshift facts
The ansible hang when getting openshift facts
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Installer (Show other bugs)
3.1.0
Unspecified Unspecified
unspecified Severity high
: ---
: ---
Assigned To: Jason DeTiberus
Ma xiaoqiang
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-21 23:24 EDT by Ma xiaoqiang
Modified: 2016-07-03 20:45 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-20 10:41:39 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ma xiaoqiang 2015-10-21 23:24:10 EDT
Description of problem:
The ansible hang when getting openshift facts


Version-Release number of selected component (if applicable):
https://github.com/openshift/openshift-ansible.git master

How reproducible:
100%


Steps to Reproduce:
1. Install env via ansible


Actual results:
TASK: [openshift_facts | Verify Ansible version is greater than 1.8.0 and not 1.9.0 and not 1.9.0.1] *** 
ok: [10.66.79.161] => {"msg": "all assertions passed"}

TASK: [openshift_facts | Gather Cluster facts] ******************************** 

Wait long time for this step, the ansible hangs

Expected results:
Install env successfully.

Additional info:
Workround:
split "#!/usr/bin/python # pylint: disable=too-many-lines" to two lines in openshift-ansible/roles/openshift_facts/library/openshift_facts.py
Comment 1 Jason DeTiberus 2015-10-22 16:09:28 EDT
https://github.com/openshift/openshift-ansible/pull/720
Comment 2 Ma xiaoqiang 2015-10-22 21:08:24 EDT
Install env successfully. Move it to VERIFIED.

Note You need to log in before you can comment on or make changes to this bug.